=== debian/changelog ===
ros-indigo-segbot-simulation-apps (0.3.5-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-segbot-simulation-apps (0.3.4-0trusty) trusty; urgency=high

  * added some code to remove redundant ros timers from the timeout queue. fixed incorrect footprint clearing.
  * updated simulated calls that open the doors to automatically close those doors.
  * finished + tested compilation of robot teleportation script.
  * separated some common functionality in door handler so that it can be used by robot teleporter.
  * added some stuff for the robot teleporter
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 08 Aug 2016 05:00:00 -0000

ros-indigo-segbot-simulation-apps (0.3.3-0trusty) trusty; urgency=high

  * merge segbot_simulator packages into segbot (#46 <https://github.com/utexas-bwi/segbot/issues/46>)
  * Contributors: Jack O'Quin

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000

ros-indigo-segbot-simulation-apps (0.3.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 31 Mar 2015 05:00:00 -0000

ros-indigo-segbot-simulation-apps (0.3.0-0trusty) trusty; urgency=high

  * added missing dependency on multi_level_map_msgs.
  * migrated DoorHandlerInterface from segbot_simulation_apps to bwi_msgs in the bwi_common repository.
  * updated door handler to use new multimap.
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-segbot-simulation-apps (0.2.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 22 Apr 2014 05:00:00 -0000

ros-indigo-segbot-simulation-apps (0.2.0-0trusty) trusty; urgency=high

  * initial release to Hydro
  * install header correctly
  * removed catkin_lint errors
  * moved resolveDoor to common functions in bwi_planning_common
  * added service to modify door status
  * added a package for simulation apps. For now, added a door handler.

 -- Piyush Khandelwal <piyushk@gmail.com>  Sun, 20 Apr 2014 05:00:00 -0000
